diff --git a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
index 7348afccc..6706e3f2a 100644
--- a/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
+++ b/game/client/src/main/java/net/minecraft/client/render/RenderGlobal.java
@@ -1316,37 +1316,34 @@ public class RenderGlobal
             double offsetY = camera.getY(partialTick);
             double offsetZ = camera.getZ(partialTick);
 
-            if(hitResult instanceof HitResult.Tile hitTile)
-            {
+            if (hitResult instanceof HitResult.Tile hitTile) {
                 float expand = 0.002F;
-                Block<?> block = world.getBlock(hitTile.tilePos);
-                if(block != null)
-                {
-                    BoundingVolume volume = block.getBoundingVolume(world, hitTile.tilePos);
-                    if (volume != null)
-                    {
-                        drawOutlinedVolume(volume, hitTile.tilePos.x - offsetX, hitTile.tilePos.y - offsetY, hitTile.tilePos.z - offsetZ, expand);
-                    }
-                    else
-                    {
-                        drawOutlinedBoundingBox(block.getSelectionAABB(world, hitTile.tilePos).grow(expand, expand, expand).cloneMove(-offsetX, -offsetY, -offsetZ));
+                Block<?> block = this.world.getBlock(hitTile.tilePos);
+                if (block != null) {
+                    BoundingVolume volume = block.getBoundingVolume(this.world, hitTile.tilePos);
+                    if (volume != null) {
+                        drawOutlinedVolume(volume, hitTile.tilePos.x() - offsetX, hitTile.tilePos.y() - offsetY, hitTile.tilePos.z() - offsetZ, expand);
+                    } else {
+                        AABBd selectionBB = MathHelper.aabbGrow(block.getSelectionAABB(this.world, hitTile.tilePos), expand, expand, expand, new AABBd());
+                        selectionBB.translate(-offsetX, -offsetY, -offsetZ);
+                        drawOutlinedBoundingBox(selectionBB);
                     }
-                    if (mc.gameSettings.viewSupportMode.value) {
+                    if (this.mc.gameSettings.viewSupportMode.value) {
                         Tessellator t = Tessellator.instance;
 
-                        double x = hitTile.tilePos.x - offsetX;
-                        double y = hitTile.tilePos.y - offsetY;
-                        double z = hitTile.tilePos.z - offsetZ;
+                        double x = hitTile.tilePos.x() - offsetX;
+                        double y = hitTile.tilePos.y() - offsetY;
+                        double z = hitTile.tilePos.z() - offsetZ;
 
                         double oMin = -0.01;
                         double oMax = 1.01;
 
-                        ISupport sBottom = block.getSupport(world, hitTile.tilePos, Side.BOTTOM);
-                        ISupport sTop = block.getSupport(world, hitTile.tilePos, Side.TOP);
-                        ISupport sNorth = block.getSupport(world, hitTile.tilePos, Side.NORTH);
-                        ISupport sSouth = block.getSupport(world, hitTile.tilePos, Side.SOUTH);
-                        ISupport sWest = block.getSupport(world, hitTile.tilePos, Side.WEST);
-                        ISupport sEast = block.getSupport(world, hitTile.tilePos, Side.EAST);
+                        ISupport sBottom = block.getSupport(this.world, hitTile.tilePos, Side.BOTTOM);
+                        ISupport sTop = block.getSupport(this.world, hitTile.tilePos, Side.TOP);
+                        ISupport sNorth = block.getSupport(this.world, hitTile.tilePos, Side.NORTH);
+                        ISupport sSouth = block.getSupport(this.world, hitTile.tilePos, Side.SOUTH);
+                        ISupport sWest = block.getSupport(this.world, hitTile.tilePos, Side.WEST);
+                        ISupport sEast = block.getSupport(this.world, hitTile.tilePos, Side.EAST);
 
                         t.startDrawingQuads();
 
@@ -1665,9 +1662,7 @@ public class RenderGlobal
                         t.draw();
                     }
                 }
-            }
-            else if (hitResult instanceof HitResult.Entity hitEntity && hitEntity.entity.showBoundingBoxOnHover() && !mc.gameSettings.showCollisionBoxes.value)
-            {
+            } else if (hitResult instanceof HitResult.Entity hitEntity && hitEntity.entity.showBoundingBoxOnHover() && !this.mc.gameSettings.showCollisionBoxes.value) {
                 drawInterpolatedEntityBoundingBox(hitEntity.entity, hitEntity.entity.bb, camera, partialTick);
             }
 
@@ -1685,28 +1680,30 @@ public class RenderGlobal
         double offsetY = camera.getY(partialTicks);
         double offsetZ = camera.getZ(partialTicks);
         float expand = 0.002F;
-        List<AABB> collidingBoundingBoxes = world.getCubes(mc.thePlayer, mc.thePlayer.bb.grow(expand, expand, expand));
+        List<AABBdc> collidingBoundingBoxes = this.world.getCubes(this.mc.thePlayer, MathHelper.aabbGrow(this.mc.thePlayer.bb, expand, expand, expand, new AABBd()));
         glColor4f(0.0f, 0.0f, 1.0f, 1.0f);
-        for (AABB aabb : collidingBoundingBoxes) {
-            drawOutlinedBoundingBox(aabb.cloneMove(-offsetX, -offsetY, -offsetZ).grow(expand, expand, expand));
+        for (AABBdc aabb : collidingBoundingBoxes) {
+            AABBd bb = aabb.translate(-offsetX, -offsetY, -offsetZ, new AABBd());
+            MathHelper.aabbGrow(bb, expand, expand, expand, bb);
+            drawOutlinedBoundingBox(bb);
         }
 
         float entityRadius = 10.0f;
-        if (mc.thePlayer.getGamemode() == Gamemode.creative) {
+        if (this.mc.thePlayer.getGamemode() == Gamemode.creative) {
             entityRadius = 100.0f;
         }
-        List<Entity> entitiesNearby = world.getEntitiesWithinAABBExcludingEntity(null, mc.thePlayer.bb.grow(entityRadius, entityRadius, entityRadius));
+        List<Entity> entitiesNearby = this.world.getEntitiesWithinAABBExcludingEntity(null, MathHelper.aabbGrow(this.mc.thePlayer.bb, entityRadius, entityRadius, entityRadius, new AABBd()));
         for (Entity e : entitiesNearby) {
             glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
             drawInterpolatedEntityBoundingBox(e, e.bb, camera, partialTicks); // Bounds
 
             glColor4f(1.0f, 0.0f, 0.0f, 1.0f);
-            final AABB head = e.bb.copy();
-            head.set(head.minX, e.y + e.getHeadHeight() - 0.005, head.minZ, head.maxX, e.y + e.getHeadHeight() + 0.005, head.maxZ);
+            final AABBd head = new AABBd(e.bb);
+            head.setMin(head.minX, e.y + e.getHeadHeight() - 0.005, head.minZ).setMax(head.maxX, e.y + e.getHeadHeight() + 0.005, head.maxZ);
             drawInterpolatedEntityBoundingBox(e, head, camera, partialTicks); // Head
 
             glColor4f(1.0f, 0.0f, 1.0f, 1.0f);
-            final AABB feet = AABB.fromPool(e.bb.minX, e.y - 0.005, e.bb.minZ, e.bb.maxX, e.y + 0.005, e.bb.maxZ);
+            final AABBd feet = new AABBd(e.bb.minX, e.y - 0.005, e.bb.minZ, e.bb.maxX, e.y + 0.005, e.bb.maxZ);
             drawInterpolatedEntityBoundingBox(e, feet, camera, partialTicks); // Feet
 
             glColor4f(0.75f, 0.75f, 1.0f, 1.0f);
@@ -1715,7 +1712,7 @@ public class RenderGlobal
             double lerpOffsetX = MathHelper.lerp(e.xo, e.x, partialTicks) - camera.getX(partialTicks);
             double lerpOffsetY = MathHelper.lerp(e.yo, e.y, partialTicks) - camera.getY(partialTicks);
             double lerpOffsetZ = MathHelper.lerp(e.zo, e.z, partialTicks) - camera.getZ(partialTicks);
-            drawDebugVec(Tessellator.instance, Vec3.fromPool(lerpOffsetX, lerpOffsetY + e.getHeadHeight(), lerpOffsetZ), e.getViewVector(partialTicks), 1, 0, 1, 0, 1);
+            drawDebugVec(Tessellator.instance, new Vector3d(lerpOffsetX, lerpOffsetY + e.getHeadHeight(), lerpOffsetZ), e.getViewVector(partialTicks), 1, 0, 1, 0, 1);
             glDisable(GL_TEXTURE_2D);
             GL11.glLineWidth(2);
         }
@@ -1723,22 +1720,22 @@ public class RenderGlobal
         glEnable(GL_TEXTURE_2D);
     }
 
-    public static void drawDebugVec(final Tessellator tessellator, final Vec3 pos, final Vec3 vec, final double scale, final float r, final float g, final float b, final float a) {
-        if (pos == null || vec == null) return;
+    public static void drawDebugVec(final @NotNull Tessellator tessellator, final @NotNull Vector3dc pos, final @Nullable Vector3dc vec, final double scale, final float r, final float g, final float b, final float a) {
+        if (vec == null) return;
         GL11.glLineWidth(10);
         GL11.glDisable(GL11.GL_TEXTURE_2D);
         tessellator.startDrawing(GL11.GL_LINES);
         tessellator.setColorRGBA_F(r, g, b, a);
-        tessellator.addVertex(pos.x, pos.y, pos.z);
+        tessellator.addVertex(pos.x(), pos.y(), pos.z());
         tessellator.addVertex(
-            pos.x + vec.x * scale,
-            pos.y + vec.y * scale,
-            pos.z + vec.z * scale);
+            pos.x() + vec.x() * scale,
+            pos.y() + vec.y() * scale,
+            pos.z() + vec.z() * scale);
         tessellator.draw();
         GL11.glEnable(GL11.GL_TEXTURE_2D);
     }
 
-    public void drawInterpolatedEntityBoundingBox(Entity entity, AABB boundingBox, ICamera camera, float partialTicks) {
+    public void drawInterpolatedEntityBoundingBox(@NotNull Entity entity, @NotNull AABBdc boundingBox, @NotNull ICamera camera, float partialTicks) {
         double cameraX = camera.getX(partialTicks);
         double cameraY = camera.getY(partialTicks);
         double cameraZ = camera.getZ(partialTicks);
@@ -1746,14 +1743,14 @@ public class RenderGlobal
         double lerpOffsetX = entity.xo + (entity.x - entity.xo) * partialTicks;
         double lerpOffsetY = entity.yo + (entity.y - entity.yo) * partialTicks;
         double lerpOffsetZ = entity.zo + (entity.z - entity.zo) * partialTicks;
-        boundingBox = boundingBox.grow(expand, expand, expand);
-        boundingBox = boundingBox.cloneMove(-entity.x, -entity.y, -entity.z);
-        boundingBox = boundingBox.cloneMove(-cameraX, -cameraY, -cameraZ);
-        boundingBox = boundingBox.cloneMove(lerpOffsetX, lerpOffsetY, lerpOffsetZ);
-        drawOutlinedBoundingBox(boundingBox);
+        AABBd bb = MathHelper.aabbGrow(boundingBox, expand, expand, expand, new AABBd());
+        bb.translate(-entity.x, -entity.y, -entity.z);
+        bb.translate(-cameraX, -cameraY, -cameraZ);
+        bb.translate(lerpOffsetX, lerpOffsetY, lerpOffsetZ);
+        drawOutlinedBoundingBox(bb);
     }
 
-    public void drawDebugChunkBorders(ICamera camera, float partialTicks) {
+    public void drawDebugChunkBorders(@NotNull ICamera camera, float partialTicks) {
         glDisable(GL_TEXTURE_2D);
         glDisable(GL_FOG);
 
@@ -1764,8 +1761,8 @@ public class RenderGlobal
         Tessellator tessellator = Tessellator.instance;
         tessellator.setTranslation(-offsetX, -offsetY, -offsetZ);
 
-        int blockX = MathHelper.floor(mc.thePlayer.x);
-        int blockZ = MathHelper.floor(mc.thePlayer.z);
+        int blockX = MathHelper.floor(this.mc.thePlayer.x);
+        int blockZ = MathHelper.floor(this.mc.thePlayer.z);
 
         int chunkX = blockX >> 4;
         int chunkZ = blockZ >> 4;
@@ -1776,7 +1773,7 @@ public class RenderGlobal
         int x1 = x0 + 16;
         int z1 = z0 + 16;
 
-        int worldHeight = mc.currentWorld.getHeightBlocks();
+        int worldHeight = this.mc.currentWorld.getHeightBlocks();
 
         glLineWidth(2.0f);
         glColor4f(1.0f, 0.0f, 0.0f, 1.0f);
@@ -1841,31 +1838,31 @@ public class RenderGlobal
         glEnable(GL_FOG);
     }
 
-    public void drawOutlinedBoundingBox(AABB aabb) {
+    public void drawOutlinedBoundingBox(@NotNull AABBdc aabb) {
         Tessellator tessellator = Tessellator.instance;
         tessellator.startDrawing(GL11.GL_LINE_STRIP);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
         tessellator.draw();
         tessellator.startDrawing(GL11.GL_LINE_STRIP);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
         tessellator.draw();
         tessellator.startDrawing(GL11.GL_LINES);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.minZ);
-        tessellator.addVertex(aabb.maxX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.maxX, aabb.maxY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.minY, aabb.maxZ);
-        tessellator.addVertex(aabb.minX, aabb.maxY, aabb.maxZ);
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.minZ());
+        tessellator.addVertex(aabb.maxX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.maxX(), aabb.maxY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.minY(), aabb.maxZ());
+        tessellator.addVertex(aabb.minX(), aabb.maxY(), aabb.maxZ());
         tessellator.draw();
     }
 
@@ -1890,25 +1887,25 @@ public class RenderGlobal
         int _y1 = MathHelper.bucketInt(y1, RENDER_CHUNK_SIZE);
         int _z1 = MathHelper.bucketInt(z1, RENDER_CHUNK_SIZE);
         for (int x = _x0; x <= _x1; x++) {
-            int xx = x % xChunks;
+            int xx = x % this.xChunks;
             if (xx < 0) {
-                xx += xChunks;
+                xx += this.xChunks;
             }
             for (int y = _y0; y <= _y1; y++) {
-                int yy = y % yChunks;
+                int yy = y % this.yChunks;
                 if (yy < 0) {
-                    yy += yChunks;
+                    yy += this.yChunks;
                 }
                 for (int z = _z0; z <= _z1; z++) {
-                    int zz = z % zChunks;
+                    int zz = z % this.zChunks;
                     if (zz < 0) {
-                        zz += zChunks;
+                        zz += this.zChunks;
                     }
-                    int p = (zz * yChunks + yy) * xChunks + xx;
+                    int p = (zz * this.yChunks + yy) * this.xChunks + xx;
 
-                    ChunkRenderer renderer = chunkRenderers[p];
+                    ChunkRenderer renderer = this.chunkRenderers[p];
                     if (!renderer.dirty) {
-                        dirtyChunks.add(renderer);
+                        this.dirtyChunks.add(renderer);
                         renderer.setDirty();
                     }
                 }
@@ -1927,31 +1924,31 @@ public class RenderGlobal
     }
 
     public void cull(CameraFrustum frustum, float partialTick) {
-        for (int i = 0; i < chunkRenderers.length; i++) {
-            if (!chunkRenderers[i].isEmpty() && (!chunkRenderers[i].visible || (i + cullStep & 0xf) == 0)) {
-                chunkRenderers[i].cull(frustum, partialTick);
+        for (int i = 0; i < this.chunkRenderers.length; i++) {
+            if (!this.chunkRenderers[i].isEmpty() && (!this.chunkRenderers[i].visible || (i + this.cullStep & 0xf) == 0)) {
+                this.chunkRenderers[i].cull(frustum, partialTick);
             }
         }
 
-        cullStep++;
+        this.cullStep++;
     }
 
     @Override
     public void playStreamingMusic(String soundPath, String author, int x, int y, int z) {
         if (soundPath != null) {
             if (author != null && !author.isEmpty()) {
-                mc.hudIngame.setRecordPlayingMessage(author + " - " + I18n.getInstance().translateKey(soundPath));
+                this.mc.hudIngame.setRecordPlayingMessage(author + " - " + I18n.getInstance().translateKey(soundPath));
             } else {
-                mc.hudIngame.setRecordPlayingMessage(I18n.getInstance().translateKey(soundPath));
+                this.mc.hudIngame.setRecordPlayingMessage(I18n.getInstance().translateKey(soundPath));
             }
         }
-        mc.sndManager.playMusic(soundPath, x, y, z, 1.0F, 1.0F);
+        this.mc.sndManager.playMusic(soundPath, x, y, z, 1.0F, 1.0F);
     }
 
     @Override
     public void playSound(Entity player, String soundPath, SoundCategory category, double x, double y, double z,
                           float volume, float pitch) {
-        mc.sndManager.playSoundAt(soundPath, category, (float) x, (float) y, (float) z, volume, pitch);
+        this.mc.sndManager.playSoundAt(soundPath, category, (float) x, (float) y, (float) z, volume, pitch);
     }
 
     @Override
@@ -1962,18 +1959,18 @@ public class RenderGlobal
     @Override
     public void addParticle(String particleId, double x, double y, double z,
                             double motionX, double motionY, double motionZ, int data, double maxDistance) {
-        if (mc == null || mc.activeCamera == null || mc.particleEngine == null) {
+        if (this.mc == null || this.mc.activeCamera == null || this.mc.particleEngine == null) {
             return;
         }
-        double d6 = mc.activeCamera.getX() - x;
-        double d7 = mc.activeCamera.getY() - y;
-        double d8 = mc.activeCamera.getZ() - z;
+        double d6 = this.mc.activeCamera.getX() - x;
+        double d7 = this.mc.activeCamera.getY() - y;
+        double d8 = this.mc.activeCamera.getZ() - z;
         if (d6 * d6 + d7 * d7 + d8 * d8 > maxDistance * maxDistance) {
             return;
         }
-        Particle fx = ParticleDispatcher.getInstance().getDispatch(particleId).newParticle(world, x, y, z, motionX, motionY, motionZ, data);
+        Particle fx = ParticleDispatcher.getInstance().getDispatch(particleId).newParticle(this.world, x, y, z, motionX, motionY, motionZ, data);
         if (fx != null) {
-            mc.particleEngine.add(fx);
+            this.mc.particleEngine.add(fx);
         }
     }
 
@@ -1983,9 +1980,9 @@ public class RenderGlobal
             Colorizers.update(false);
         }
         if (seasonChanged || lightChanged && !LightmapHelper.isLightmapEnabled()) {
-            for (ChunkRenderer chunkRenderer : chunkRenderers) {
+            for (ChunkRenderer chunkRenderer : this.chunkRenderers) {
                 if (chunkRenderer.skyLit && !chunkRenderer.dirty) {
-                    dirtyChunks.add(chunkRenderer);
+                    this.dirtyChunks.add(chunkRenderer);
                     chunkRenderer.setDirty();
                 }
             }
@@ -1997,28 +1994,25 @@ public class RenderGlobal
     }
 
     public void deleteChunkLists() {
-        if (chunkLists >= 0) {
-            GLAllocation.deleteDisplayList(chunkLists);
+        if (this.chunkLists >= 0) {
+            GLAllocation.deleteDisplayList(this.chunkLists);
         }
     }
 
     @Override
     public void levelEvent(@Nullable Player player, int id, int x, int y, int z, int data) {
-        Random random = world.rand;
+        Random random = this.world.rand;
         switch (id) {
-            default:
-                break;
-
             case EVENT_DISPENSER_EMPTY: // Dispenser empty click
-                world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, x, y, z, "tile.dispenser.click", 1.0F, 1.0F);
+                this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, x, y, z, "tile.dispenser.click", 1.0F, 1.0F);
                 break;
 
             case EVENT_DISPENSER_ITEM: // Dispenser fire item
-                world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, x, y, z, "tile.dispenser.eject", 1.0F, 1.0F);
+                this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, x, y, z, "tile.dispenser.eject", 1.0F, 1.0F);
                 break;
 
             case EVENT_DISPENSER_PROJECTILE: // Dispenser fire projectile
-                world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, x, y, z, "tile.dispenser.fire", 1.0F, 1.2F);
+                this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, x, y, z, "tile.dispenser.fire", 1.0F, 1.2F);
                 break;
 
             case EVENT_DISPENSER_PARTICLES: // Dispenser eject particles
@@ -2046,37 +2040,39 @@ public class RenderGlobal
                 if (data > 0) {
                     Block<?> block = Blocks.blocksList[data];
 
-                    world.playBlockSoundEffect(null, (float) x + 0.5F, (float) y + 0.5F, (float) z + 0.5F, block, EnumBlockSoundEffectType.MINE);
+                    this.world.playBlockSoundEffect(null, (float) x + 0.5F, (float) y + 0.5F, (float) z + 0.5F, block, EnumBlockSoundEffectType.MINE);
                 }
-                mc.particleEngine.destroy(x, y, z, data, world.getBlockMetadata(x, y, z));
+                this.mc.particleEngine.destroy(x, y, z, data, this.world.getBlockMetadata(x, y, z));
                 break;
 
             case EVENT_DOOR_SOUND: // Door sound
                 if (java.lang.Math.random() < 0.5D) {
-                    world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D, "random.door_open", 1.0F, world.rand.nextFloat() * 0.1F + 0.9F);
+                    this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D, "random.door_open", 1.0F, this.world.rand.nextFloat() * 0.1F + 0.9F);
                 } else {
-                    world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D, "random.door_close", 1.0F, world.rand.nextFloat() * 0.1F + 0.9F);
+                    this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5D, (double) y + 0.5D, (double) z + 0.5D, "random.door_close", 1.0F, this.world.rand.nextFloat() * 0.1F + 0.9F);
                 }
                 break;
 
             case EVENT_FIRE_EXTINGUISH: // Fire extinguish sound
-                world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (float) x + 0.5F, (float) y + 0.5F, (float) z + 0.5F, "random.fizz", 0.5F, 2.6F + (random.nextFloat() - random.nextFloat()) * 0.8F);
+                this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (float) x + 0.5F, (float) y + 0.5F, (float) z + 0.5F, "random.fizz", 0.5F, 2.6F + (random.nextFloat() - random.nextFloat()) * 0.8F);
                 break;
 
             case EVENT_JUKEBOX_TOGGLE: // Jukebox play/stop record
-                if (Item.itemsList[data] instanceof ItemDiscMusic) {
-                    ItemDiscMusic record = ((ItemDiscMusic) Item.itemsList[data]);
-                    world.playRecord(record.recordName, record.recordAuthor, x, y, z);
+                if (Item.itemsList[data] instanceof ItemDiscMusic record) {
+                    this.world.playRecord(record.recordName, record.recordAuthor, x, y, z);
                 } else {
-                    world.playRecord(null, null, x, y, z);
+                    this.world.playRecord(null, null, x, y, z);
                 }
                 break;
             case EVENT_PISTON_EXTEND: // Piston extend
-                world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5F, (double) y + 0.5F, (double) z + 0.5F, "tile.piston.out", 0.5F, world.rand.nextFloat() * 0.25F + 0.6F);
+                this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5F, (double) y + 0.5F, (double) z + 0.5F, "tile.piston.out", 0.5F, this.world.rand.nextFloat() * 0.25F + 0.6F);
                 break;
             case EVENT_PISTON_RETRACT: // Piston retract
-                world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5F, (double) y + 0.5F, (double) z + 0.5F, "tile.piston.in", 0.5F, world.rand.nextFloat() * 0.25F + 0.6F);
+                this.world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) x + 0.5F, (double) y + 0.5F, (double) z + 0.5F, "tile.piston.in", 0.5F, this.world.rand.nextFloat() * 0.25F + 0.6F);
                 break;
+            default:
+                break;
+
         }
     }
 
